* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
:root {
  --bc: linear-gradient(to top, #900, #c00);
  --bcg: linear-gradient(to top, #090, #0c0);
  --clr1: #c91414; /*8739F9*/
  --clr2: #00c9ab; /*C651CD*/
  --clr3: #363636; /*363636*/
  --dclr1: #100f10;
  --dclr2: #1b1b1b;
  --dclr3: #242424;
  --tclr1: rgba(255, 255, 255, 0.96);
  --tclr2: rgba(255, 255, 255, 0.67);
  --tclr3: rgba(255, 255, 255, 0.45);
  --sl0: 0.125rem;
  --sl1: 0.375rem;
  --sl2: 0.625rem;
  --sl3: 0.875rem;
  --ml1: 1rem;
  --ml2: 1.375rem;
  --ml3: 1.75rem;
  --ll1: 2.5rem;
  --ll2: 3.5rem;
  --ll3: 4.5rem;
  /*--clr1: #C91414;
	--clr2: #007CC9;
	--clr3: #064F7D;
	--clr4: #C9C728;
	--clr5: #262626;
	--tclr: #E6E6E6;
	--sclr: #49B012;*/
  --textbg: -webkit-linear-gradient(#d1632e, #eed000);
}
@font-face {
  font-family: nmb;
  src: url(nmb.otf);
}
html,
body {
  font-family: helvetica, arial, verdana;
  overflow-y: auto;
  overflow-x: hidden;
  font-size: 16px;
  background-color: var(--dclr2);
  color: var(--tclr2);
  height: 100%;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
body {
  position: relative;
}
:focus {
  outline: none;
}
/*
    ///
        Navigation
    ///
*/
#topBar {
  height: var(--ll1);
  background: var(--clr2);
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: flex-end;
  padding: var(--sl2);
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 10;
}
nav {
  min-height: var(--ll3);
  background: var(--dclr1);
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
  font-size: 1.25rem;
  position: fixed;
  left: 0;
  right: 0;
  top: var(--ll1);
  z-index: 10;
}
nav > a {
  padding: 0 var(--ml1);
  font-family: nmb;
  color: var(--clr1);
}
#accLink {
  position: absolute;
  right: 0;
}
#cc {
  font-size: 0.9rem;
  color: var(--tclr1);
}
/*
    ///
        Content
    ///
*/
#content {
  flex: 1;
  align-items: center;
  flex-direction: column;
  display: flex;
  margin: 7rem 0 0;
}
#confCont {
  width: 100%;
  display: flex;
  justify-content: center;
  flex-flow: row wrap;
}
.contentWidth {
  display: flex;
  flex-flow: column nowrap;
  align-items: flex-start;
  width: 58rem;
  margin: var(--ll3) calc(var(--ml1) * -1);
}
h1,
h6 {
  font-family: nmb;
}
h1 {
  font-size: 2rem;
  /*background: var(--textbg);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;*/
  width: 100%;
  text-align: center;
  color: var(--clr1);
}
h2 {
  font-size: 1.125rem;
  font-weight: bold;
  padding: var(--sl0);
}
h5 {
  font-size: 0.95rem;
  padding: var(--sl0);
}
h6 {
  font-size: 1.5rem;
  color: var(--clr1);
  border-bottom: 2px solid var(--clr1);
  margin: 0 var(--ml1) var(--sl1);
}
p {
  padding: var(--ml1);
  font-size: 1rem;
}
a {
  color: var(--clr2);
  text-decoration: none;
}
a:hover,
a:focus {
  color: var(--clr3);
}
#errorBanner,
#successBanner {
  width: 100%;
  color: #fff;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
}
#errorBanner {
  background: var(--clr1);
}
#successBanner {
  background: var(--sclr);
}
#errorBanner > *,
#successBanner > * {
  font-size: 1.25rem;
  font-family: helvetica, arial, verdana;
  padding: var(--sl1);
}
#sortingMethod {
  width: 100%;
  display: flex;
  justify-content: center;
  flex-flow: row wrap;
  background: rgba(0, 0, 0, 0.5);
}
#sortingMethod > * {
  font-size: 0.975rem;
  margin: var(--sl2);
}
.category {
  display: flex;
  width: 100%;
  justify-content: flex-start;
  flex-flow: row wrap;
}
.vinyl {
  width: 12.5rem;
  height: 12.5rem;
  margin: var(--ml1);
  overflow-y: hidden;
  position: relative;
  cursor: zoom-in;
  transition: all 0.3s ease-in-out;
}
.vinyl > img,
.vinyl > h2,
.vinyl > h5 {
  width: 100%;
}
.vinyl > div {
  position: absolute;
  bottom: -100%;
  background: var(--tclr2);
  color: var(--dclr1);
  filter: invert();
  right: 0;
  left: 0;
}
.vinyl > img {
  height: 100%;
}
.vinyl:hover > div {
  bottom: 0;
}
/*
    ///
        Forms
    ///
*/
form {
  width: 80%;
  display: flex;
  align-items: center;
  flex-flow: column nowrap;
  margin: 2em;
}
form > * {
  width: 100%;
}
input,
select {
  border: 3px solid var(--clr1);
  height: 5rem;
  padding: var(--sl2);
  font-size: 1rem;
  margin-top: 2em;
  background: transparent;
  color: var(--tclr1);
}
input[type="submit"] {
  cursor: pointer;
  transition: background 200ms, color 200ms;
}
input[type="submit"]:hover,
input[type="submit"]:focus {
  background: var(--clr1);
  color: #000;
}
#overview {
  display: flex;
  flex-flow: row wrap;
}
.vinylSubmit,
.vinylView {
  width: 7rem;
  height: 7rem;
  border: none;
  outline: none;
  background: var(--dclr1);
  position: relative;
}
.vinylSumbit:hover,
.vinylView:hover {
  border-color: var(--clr2);
}
.vinylSubmit:hover {
  cursor: pointer;
}
.vinylSubmit > img,
.vinylView > img {
  width: 100%;
  height: 100%;
}
.vinylSubmit > .grey {
  filter: grayscale(100%);
}
#collection,
#addVinyl {
  display: flex;
  justify-content: space-around;
  flex-flow: row wrap;
}
#collection > button {
  margin: 0.4em;
}
#addVinyl > input,
#addVinyl > select {
  width: 30%;
}
.tooltip {
  visibility: hidden;
  text-align: center;
  position: absolute;
  background: var(--dclr1);
  font-size: 1rem;
  padding: var(--sl1);
  border-radius: var(--sl2);
  border: 2px solid var(--clr2);
  color: var(--clr1);
  width: 600%;
  top: 100%;
  left: 50%;
  margin-left: calc(600% / 2 * -1);
  z-index: 10;
}
.vinylSubmit:hover > .tooltip,
.vinylView:hover > .tooltip {
  visibility: visible;
}
option {
  color: #000;
}
/*
	///
		Footer
	///
*/
#footer {
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
  padding: var(--ml2);
  font-size: 1.25rem;
  background: var(--dclr1);
}
#footer > p {
  color: var(--clr4);
  font-family: nmb;
}
/*
	///
		Media Queries
	///
*/
@media screen and (max-width: 1000px) {
  .contentWidth {
    width: 43.5rem;
  }
  form {
    width: 100%;
  }
  html,
  body {
    font-size: 14px;
  }
}
@media screen and (max-width: 780px) {
  html,
  body {
    font-size: 12px;
  }
  .contentWidth {
    width: 100%;
    margin: var(--ll3) 0;
    align-items: center;
  }
  h6 {
    width: 100%;
    text-align: center;
  }
  .category {
    justify-content: center;
  }
}
